@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&family=Raleway:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.1/font/bootstrap-icons.css");


body {
    --background-color: white;
    --accent-color: #4059AD;
    --light-accent: #F7F8FF;
    --main-gray: #707070;
    --main-green: #619B98;
    --blur-color: rgba(255, 255, 255, 0.1);

    margin: 0;
    padding: 0;
    font-family: 'Inter', sans-serif;
    font-family: 'Raleway', sans-serif;
    color: var(--accent-color);
    background-color: var(--background-color);
    transition-duration: 0.3s;
}

.dark {
    --background-color: black;
    --accent-color: #9171f8;
    --blur-color: rgba(0, 0, 0, 0.1);
    --light-accent: #282828;
    --main-green: white;
}

.init-container {
    --bg-image: url(../assets/light-grid.svg);
    --bg-opacity: 0.7;

    display: flex;
    flex-direction: column;
    height: 100dvh;
    align-items: center;
    justify-content: center;
    position: relative;
    isolation: isolate;
}

.mode-switch {
    font-size: 3rem;
    position: absolute;
    top: 1rem;
    background-color: var(--blur-color);
    backdrop-filter: blur(10px);
    border: solid var(--main-gray);
    border-width: .13rem;
    border-radius: 1rem;
    opacity: 0.2;
    right: 1rem;
    transition-duration: 0.3s;
    padding: .5rem;
}

.mode-switch:hover {
    cursor: pointer;
    opacity: 1;
}

.init-container::after {
    content: '';
    background-image: var(--bg-image);
    opacity: var(--bg-opacity);

    z-index: -100;
    inset: 0;
    position: absolute;
    background-size: cover;
    background-position: center;
}

.center-box {
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 30%;
    border: solid var(--main-gray);
    background-color: var(--blur-color);
    backdrop-filter: blur(10px);
    border-radius: 1rem;
    padding: 1rem 3rem;
    border-width: .13rem;
}


.player-field {
    display: grid;
    grid-template-columns: 1fr 3fr;
    gap: 2rem 1rem;
    align-items: center;
    justify-content: center;
}

.main-title {
    font-size: 4rem;
    font-weight: bold;
}

label {
    font-size: 2rem;
    font-weight: 600;
}

input {
    border-radius: .7rem;
    border: solid var(--main-gray);
    border-width: .1rem;
    background-color: var(--light-accent);
    height: 3rem;
    font-size: 2rem;
    padding: 0 .5rem;
}

button {
    font-size: 2rem;
    margin: 3rem;
    border: none;
    background-color: var(--accent-color);
    border-radius: .5rem;
    padding: .6rem 6rem;
    font-family: inherit;
    font-weight: bold;
    color: white;
}

button:hover {
    cursor: pointer;
}

.game-container {
    display: grid;
    width: 80%;
    height: 100%;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 1fr);
    align-items: center;
    justify-items: center;
    gap: 1rem 0;
    padding: 3rem;
}

.box {
    display: flex;
    width: 8rem;
    height: 8rem;
    background-color: var(--light-accent);
    border: solid var(--main-gray);
    border-width: .1rem;
    border-radius: 1rem;
    transition-duration: 0.3s;
    font-size: 7rem;
    align-items: center;
    justify-content: center;
}

.winner-box {
    color: var(--main-green);
}

.available:hover {
    cursor: pointer;
    transform: scale(1.03);
}

.game-alert {
    font-size: 2.5rem;
    margin: 0 0 2rem 0;
    padding: 0;
}